Subject: RE: -mwindows option
From: [email-masked] (Colin Peters)

5 Jun 1998 11:33:55 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Rick Rankin" <[email-masked]>,
        "Ucok Freddy M." <[email-masked]>, <[email-masked]>

Rick Rankin <[email-masked]> wrote:

>I ran into the same problem. when I use -mwindows, I get am message from
>cc1.exe saying that "windows" is not a valid option. I'm using Sergey's
>coolview and egcs-1.0.2 on NT 4.0 SP3.
>
>Rick
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]On
>> Behalf Of Ucok Freddy M.
>> Sent: Wednesday, June 03, 1998 4:04 AM
>> To: [email-masked]'
>> Subject: -mwindows option
>>
>>
>> I want to make a GUI app by using -mwindows option at gcc
>> command, but it's
>> not working. Anyone can tell me what must i configure to enable
>> me using the
>> -mwindows option ?

You should only use -mwindows at the linking stage, the compiler doesn't
understand it. In other words:
  gcc -o foo.exe foo.o bar.o -mwindows
is fine, but
  gcc -o foo.exe foo.c bar.c -mwindows
or
  gcc -c -o foo.o foo.c -mwindows
are not.

I think this has been mentioned before on the mailing list.

Hope that helps,
Colin.

-- Colin Peters - colin at fu.is.saga-u.ac.jp
-- Saga Univ. Dept. of Information Science
-- http://www.geocities.com/Tokyo/Towers/6162/index.html
-- http://www.fu.is.saga-u.ac.jp/~colin/index.html

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".